Package twisted :: Package conch :: Package ssh :: Module transport :: Class SSHClientTransport

[show private | hide private]
[frames | no frames]

## Class SSHClientTransport

    BaseProtocol --+
                   |
            Protocol --+
                       |
        SSHTransportBase --+
                           |
                          SSHClientTransport

Known Subclasses:
  `SSHClientTransport`, `SSHClientTransport`

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `SSHTransportBase`)
| ``connectionMade`(self)` Called when a connection is made.
| ``connectionSecure`(self)` Called when the encryption has been set up.
| ``dataReceived`(self, data)` Called whenever data is received. (inherited from `SSHTransportBase`)
| `getPacket(self)` (inherited from `SSHTransportBase`)
| ``isEncrypted`(self, direction)` direction must be in ["out", "in", "both"] (inherited from `SSHTransportBase`)
| ``isVerified`(self, direction)` direction must be in ["out", "in", "both"] (inherited from `SSHTransportBase`)
| `receiveDebug(self, alwaysDisplay, message, lang)` (inherited from `SSHTransportBase`)
| `receiveError(self, reasonCode, description)` (inherited from `SSHTransportBase`)
| `receiveUnimplemented(self, seqnum)` (inherited from `SSHTransportBase`)
| ``requestService`(self, instance)` Request that a service be run over this transport.
| `sendDebug(self, message, alwaysDisplay, language)` (inherited from `SSHTransportBase`)
| `sendDisconnect(self, reason, desc)` (inherited from `SSHTransportBase`)
| `sendIgnore(self, message)` (inherited from `SSHTransportBase`)
| `sendKexInit(self)` (inherited from `SSHTransportBase`)
| `sendPacket(self, messageType, payload)` (inherited from `SSHTransportBase`)
| `sendUnimplemented(self)` (inherited from `SSHTransportBase`)
| `setService(self, service)` (inherited from `SSHTransportBase`)
| `ssh_DEBUG(self, packet)` (inherited from `SSHTransportBase`)
| `ssh_DISCONNECT(self, packet)` (inherited from `SSHTransportBase`)
| `ssh_IGNORE(self, packet)` (inherited from `SSHTransportBase`)
| `ssh_KEX_DH_GEX_GROUP(self, packet)`
| `ssh_KEX_DH_GEX_REPLY(self, packet)`
| `ssh_KEXINIT(self, packet)`
| `ssh_NEWKEYS(self, packet)`
| `ssh_SERVICE_ACCEPT(self, packet)`
| `ssh_UNIMPLEMENTED(self, packet)` (inherited from `SSHTransportBase`)
`Deferred` | ``verifyHostKey`(self, hostKey, fingerprint)` Returns a Deferred that gets a callback if it is a valid key, or an errback if not.

Class Variable Summary
`int` | `isClient`

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.conch.ssh.transport.SSHTransportBase.connectionMade` (inherited documentation)

### connectionSecure(self)

Called when the encryption has been set up. Generally, requestService() is called to run another service over the transport.

### requestService(self, instance)

Request that a service be run over this transport.

  Parameters:
    `instance`
    (type=subclass of `twisted.conch.ssh.service.SSHService`)

### verifyHostKey(self, hostKey, fingerprint)

Returns a Deferred that gets a callback if it is a valid key, or an errback if not.

  Parameters:
    `hostKey`
    (type=`str`)
    `fingerprint`
    (type=`str`)
  Returns:
    `Deferred`

Class Variable Details

### isClient

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Sat Feb 15 21:17:49 2003 | http://epydoc.sf.net